Package org.pushingpixels.substance.internal.utils

# Interface Sideable

All Known Implementing Classes:
  `SubstanceScrollButton`, `SubstanceSpinnerButton`

public interface Sideable
Interface for components that have a side. An example of such a component is scroll bar button or spinner button.

## Method Summary

Modifier and Type
Method
Description
`SubstanceConstants.Side`
`getSide()`
Returns side that corresponds to the orientation of the associated button.

## Method Details

### getSide

SubstanceConstants.Side getSide()
Returns side that corresponds to the orientation of the associated button.

Returns:
  Side that corresponds to the orientation of the associated button.